/*
*  PopPassDlg.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef PopPassDlgH
#define PopPassDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall GetPopPassword(TForm *Owner, AnsiString &Account,
   bool &Cancel);//, bool &Remember); // tell me if you want the new password remembered

class TPassDlg : public TForm
{
__published:	// IDE-managed Components
  TLabel *Label1;
  TEdit *Password;
  TButton *OkBtn;
  TButton *CancelBtn;
  TCheckBox *HideBox;
  TBevel *Bevel1;
  TCheckBox *RememberBox;
  TLabel *Label3;
  TLabel *Label2;
  void __fastcall HideBoxClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  
private:	// User declarations
public:		// User declarations
  __fastcall TPassDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TPassDlg *PassDlg;
//---------------------------------------------------------------------------
#endif
